package com.sharix.sportsmanfriend;

import static android.content.Context.MODE_PRIVATE;

import android.content.Context;
import android.content.SharedPreferences;

public class SharedPreferencesHelperClass {

    private static SharedPreferences sharedPreferences;
    private static SharedPreferences.Editor editor;

    public static boolean getBoolVar(Context context, String name){
        setVars(context);
        return sharedPreferences.getBoolean(name, false);
    }

    public static void setBoolVar(Context context, String name, boolean value){
        setVars(context);
        editor.putBoolean(name, value);
        editor.apply();
    }

    public static String getStringVar(Context context, String name){
        setVars(context);
        return sharedPreferences.getString(name, "Error");
    }

    public static void setStringVar(Context context, String name, String value){
        setVars(context);
        editor.putString(name, value);
        editor.apply();
    }

    public static void clearSharedPreferences(Context context){
        setVars(context);
        editor = sharedPreferences.edit();
        editor.clear().commit();
    }

    private static void setVars(Context context){
        sharedPreferences = context.getSharedPreferences("Data", MODE_PRIVATE);
        editor = sharedPreferences.edit();
    }
}
