package com.sharix.sportsmanfriend.dialogs;

import android.app.Dialog;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.widget.TimePicker;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.sharix.sportsmanfriend.BaseDialogClass;
import com.sharix.sportsmanfriend.R;

public class DurationDialog extends BaseDialogClass {

    private TimePicker timePicker;

    @NonNull
    @Override
    public Dialog onCreateDialog(@Nullable Bundle savedInstanceState) {
        LayoutInflater inflater = requireActivity().getLayoutInflater();
        view = inflater.inflate(R.layout.dialog_duration, null);

        timePicker = view.findViewById(R.id.timePickerStart);
        timePicker.setIs24HourView(true);

        addClickEventToAllViews();

        return super.onCreateDialog(savedInstanceState);
    }

    @Override
    protected Bundle DataToTransfer() {
        Bundle bundle = new Bundle();
        bundle.putString("FromBlock", "DurationBlock");
        bundle.putInt("HourStart", timePicker.getHour());
        bundle.putInt("MinuteStart", timePicker.getMinute());
        return bundle;
    }

    @Override
    protected void addClickEventToAllViews() {
        super.addClickEventToAllViews();
    }
}
