package com.sharix.sportsmanfriend.requests;

import android.content.Context;
import android.os.StrictMode;
import android.util.Log;
import android.widget.Toast;

import com.google.gson.Gson;
import com.sharix.sportsmanfriend.model.Order;

import java.io.IOException;

import okhttp3.FormBody;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.RequestBody;
import okhttp3.Response;

public class HTTPRequest {

    OkHttpClient client = new OkHttpClient();
    Gson gson = new Gson();
    private String mainURL = "https://admin.sports.sharix-app.org";
    Context context;

    public HTTPRequest(Context _context){
        StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
        StrictMode.setThreadPolicy(policy);
        context = _context;
    }

    public String login(String login, String password) {

        RequestBody requestBody = new FormBody.Builder()
                .add("password", password)
                .add("phone_number", login)
                .build();

        Request request = new Request.Builder()
                .post(requestBody)
                .url(mainURL + "/auth/token/login/")
                .build();

        try (Response response = client.newCall(request).execute()) {
            if (!response.isSuccessful()) {
                throw new IOException("Запрос к серверу не был успешен: " +
                        response.code() + " " + response.message());
            }
            return response.body().string();
        } catch (IOException e) {
            return "Ошибка";
        }
    }

    public String makeOrder(){

        RequestBody requestBody = new FormBody.Builder()
                .add("state", "new")
                .add("id_metaservice", "1")
                .add("time_placed", "2023-06-17T18:38:59Z")
                .add("time_start", "2023-06-17T18:38:59Z")
                .add("time_start_real", "2023-06-17T18:38:59Z")
                .add("time_start_predicted", "2023-06-17T18:38:59Z")
                .add("time_finish_predicted", "2023-06-17T18:38:59Z")
                .add("time_finish_real", "2023-06-17T18:38:59Z")
                .add("predicted_price", "0")
                .add("real_price", "0")
                .add("is_global", "true")
                .add("is_visible", "true")
                .add("service", "1")
                .add("service_type", "1")
                .add("provider", "2")
                .add("receiver", "1")
                .add("client_id", "1")
                .add("ticket", "1")
                .build();

        Request request = new Request.Builder()
                .addHeader("Authorization", "Token f644f9cc48a8f95d98b51f8f41dbf2e6c54d75df")
                .post(requestBody)
                .url(mainURL + "/metaservicesynced/api/orders/")
                .build();

        try (Response response = client.newCall(request).execute()) {
            if (!response.isSuccessful()) {
                throw new IOException("Запрос к серверу не был успешен: " +
                        response.code() + " " + response.message());
            }
            Order order = gson.fromJson(response.body().string(), Order.class);
            //Toast.makeText(context.getApplicationContext(), response.body().string(), Toast.LENGTH_LONG).show();
            return String.valueOf(order.getId());

        } catch (IOException e) {
            //Toast.makeText(context.getApplicationContext(), "ОНО не работает", Toast.LENGTH_LONG).show();
            return "Ошибка";
        }
    }

    public boolean makeEvent(){

        String id = makeOrder();

        RequestBody requestBody = new FormBody.Builder()
                .add("order_synced", "1")
                .add("resource_id", "1")
                .add("rating_id", "1")
                .add("attempts", "1")
                .add("order_place_type", "type")
                .add("order_place_start", "order_place_start")
                .add("order_place_start_gps", "order_place_start_gps")
                .add("order_place_start_sector", "1")
                .add("order_place_start_real", "order_place_start_real")
                .add("order_place_start_real_gps", "order_place_start_real_gps")
                .add("order_place_finish_predicted", "order_place_finish_predicted")
                .add("order_place_finish_predicted_gps", "order_place_finish_predicted_gps")
                .add("order_place_finish_sector", "1")
                .add("order_place_finish_real", "order_place_finish_real")
                .add("order_place_finish_real_gps", "order_place_finish_real_gps")
                .add("sport", "1")
                .add("host", "1")
                .add("required_gender", "M")
                .add("description", "Описание")
                .add("time_updated", "2023-06-17T18:39:25.234345Z")
                .add("time_close", "2023-06-17T18:34:12Z")
                .add("max_participants", "1")
                .add("min_participants", "5")
                .add("max_age", "20")
                .add("min_age", "40")
                .add("max_level", "1.0")
                .add("min_level", "2.0")
                .add("is_public", "true")
                .build();

        Request request = new Request.Builder()
                .addHeader("Authorization", "Token f644f9cc48a8f95d98b51f8f41dbf2e6c54d75df")
                .post(requestBody)
                .url(mainURL + "/webservice/api/event/")
                .build();

        try (Response response = client.newCall(request).execute()) {
            if (!response.isSuccessful()) {
                //Toast.makeText(context.getApplicationContext(), "Нет подлючения к серверу", Toast.LENGTH_LONG).show();
            }
            //Toast.makeText(context.getApplicationContext(), response.body().string(), Toast.LENGTH_LONG).show();
            Log.e("KEK", response.body().string());
            return response.isSuccessful();

        } catch (IOException e) {
            Toast.makeText(context.getApplicationContext(), "ОНО не работает", Toast.LENGTH_LONG).show();
            return false;
        }
    }
}
