package com.sharix.sportsmanfriend.view.fragments;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageButton;

import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentTransaction;

import com.sharix.sportsmanfriend.OnBackPressedListener;
import com.sharix.sportsmanfriend.R;

public class AboutEventFragment extends Fragment implements OnBackPressedListener {

    private View view;
    private ImageButton btnBack, btnGoToMap;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {

        view = inflater.inflate(R.layout.fragment_about_event, container, false);

        btnBack = view.findViewById(R.id.btnBack);
        btnGoToMap = view.findViewById(R.id.btnGoToMap);

        addClickEventToAllViews();

        return view;
    }

    private void addClickEventToAllViews() {
        btnBack.setOnClickListener(v -> onBackPressed());

        btnGoToMap.setOnClickListener(v -> {
            FragmentManager fragmentManager = requireActivity().getSupportFragmentManager();
            FragmentTransaction fragmentTransaction = fragmentManager.beginTransaction();
            JustMapFragment myFragment = new JustMapFragment(55.934473, 37.497081);
            fragmentTransaction.replace(R.id.frameWindow, myFragment);
            fragmentTransaction.addToBackStack(null);
            fragmentTransaction.commit();
        });
    }

    @Override
    public void onBackPressed() {
        requireActivity().getSupportFragmentManager().popBackStack();
    }
}