package com.sharix.sportsmanfriend.view.fragments;

import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentTransaction;

import com.sharix.sportsmanfriend.R;
import com.sharix.sportsmanfriend.SharedPreferencesHelperClass;
import com.sharix.sportsmanfriend.view.SingInSingUpActivity;

public class MoreFragment extends Fragment {

    private View view;
    private ConstraintLayout settingsBlock, profileBlock, logOutBlock;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {

        view = inflater.inflate(R.layout.fragment_more, container, false);

        settingsBlock = view.findViewById(R.id.settingsBlock);
        profileBlock = view.findViewById(R.id.profileBlock);
        logOutBlock = view.findViewById(R.id.logOutBlock);

        addClickEventToAllViews();

        return view;
    }

    private void addClickEventToAllViews(){

        settingsBlock.setOnClickListener(v -> {
            FragmentManager fragmentManager = requireActivity().getSupportFragmentManager();
            FragmentTransaction fragmentTransaction = fragmentManager.beginTransaction();
            SettingsFragment myFragment = new SettingsFragment();
            fragmentTransaction.replace(R.id.frameWindow, myFragment);
            fragmentTransaction.addToBackStack(null);
            fragmentTransaction.commit();
        });

        profileBlock.setOnClickListener(v -> {
            FragmentManager fragmentManager = requireActivity().getSupportFragmentManager();
            FragmentTransaction fragmentTransaction = fragmentManager.beginTransaction();
            ProfileFragment myFragment = new ProfileFragment();
            fragmentTransaction.replace(R.id.frameWindow, myFragment);
            fragmentTransaction.addToBackStack(null);
            fragmentTransaction.commit();
        });

        logOutBlock.setOnClickListener(v -> {
            SharedPreferencesHelperClass.clearSharedPreferences(requireActivity());
            Intent intent = new Intent(requireActivity(), SingInSingUpActivity.class);
            startActivity(intent);
        });
    }
}