package com.sharix.sportsmanfriend.viewmodel

import android.app.Application
import android.util.Log
import androidx.lifecycle.AndroidViewModel
import androidx.lifecycle.LiveData
import com.sharix.sportsmanfriend.repository.XMPPRepository
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.GlobalScope
import kotlinx.coroutines.async
import kotlinx.coroutines.withContext
import org.jivesoftware.smack.packet.Message

class XMPPViewModel(application: Application) : AndroidViewModel(application) {
    private val xmppRepository: XMPPRepository = XMPPRepository()
    val message: LiveData<ArrayList<Message>> get() = xmppRepository.messagesLiveData
    val roomMessage1: LiveData<ArrayList<Message>> get() = xmppRepository.messageRoom1
    val roomMessage2: LiveData<ArrayList<Message>> get() = xmppRepository.messageRoom2
    val roomMessage3: LiveData<ArrayList<Message>> get() = xmppRepository.messageRoom3

    suspend fun login(jid: String, password: String, room: String){
        GlobalScope.async {
            //xmppRepository.connect()
            xmppRepository.login(jid, password)
            withContext(Dispatchers.Main){
                xmppRepository.messageListener(room, 20)
            }
        }.await()
    }
    suspend fun addRoomListener(jid: String, password: String, rooms: ArrayList<String>){
        GlobalScope.async {
            //xmppRepository.connect()
            xmppRepository.login(jid, password)
            withContext(Dispatchers.Main){
                var count = 1
                for(room in rooms){
                    Log.e("XMPP", count.toString())
                    xmppRepository.messageListener(room, 1, count)
                    count += 1
                }
            }
        }.await()
    }
    fun sendMessage(msg: String) {
        xmppRepository.sendMessage(msg)
    }
}